Package com.trilead.ssh2

# Interface ServerHostKeyVerifier

public interface ServerHostKeyVerifier
A callback interface used to implement a client specific method of checking server host keys.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`verifyServerHostKey(String hostname, int port, String serverHostKeyAlgorithm, byte[] serverHostKey)`
The actual verifier method, it will be called by the key exchange code on EVERY key exchange - this can happen several times during the lifetime of a connection.

## Method Details

### verifyServerHostKey

boolean verifyServerHostKey(String hostname, int port, String serverHostKeyAlgorithm, byte[] serverHostKey) throws Exception
The actual verifier method, it will be called by the key exchange code on EVERY key exchange - this can happen several times during the lifetime of a connection.

Note: SSH-2 servers are allowed to change their hostkey at ANY time.

Parameters:
  `hostname` - the hostname used to create the `Connection` object
  `port` - the remote TCP port
  `serverHostKeyAlgorithm` - the public key algorithm (`ssh-rsa` or `ssh-dss`)
  `serverHostKey` - the server's public key blob
Returns:
  if the client wants to accept the server's host key - if not, the connection will be closed.
Throws:
  `Exception` - Will be wrapped with an IOException, extended version of returning false =)